import { default as ApplePayBase } from './ApplePay.base';
export default class ApplePayWeb extends ApplePayBase {
    theWindow: any;
    constructor(merchantIdentifier: string);
    isEnabled(): boolean;
    canCallSetup(): boolean;
    hasActiveCard(): Promise<boolean>;
    setupApplePay(): Promise<boolean>;
}
